/* Containers */
.race-container {
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-evenly;
}
.race-container .goal-container {
	margin: 0;
	padding: 0;
}
.race-container .board-container {
	margin: 0;
	padding: 0;
}
.race-container .row {
	display: flex;
	justify-content: center;
}
.race-container .row:after {
	clear: both;
	content: "";
	display: table;
}

/* Spaces */
.race-container .space {
	--space-size: min(7.5vh, 15vw);
	width: var(--space-size);
	height: var(--space-size);
	margin: 0.35vh;
	border: none;
	border-radius: 0.5vh;
	box-shadow: 0 0 1px 0 white;
	touch-action: manipulation;
	background-size: calc(var(--space-size) * 3);
}
.race-container .space.empty {
	background-color: var(--secondary-color);
}
.race-container .space.blank {
	background-color: transparent;
	box-shadow: none;
}
.race-container .space.animation-left {
	position: relative;
	left: -7.5vh;
	transform: translateX(7.5vh);
	transition: transform 0.1s ease-out;
}
.race-container .space.animation-right {
	position: relative;
	right: -7.5vh;
	transform: translateX(-7.5vh);
	transition: transform 0.1s ease-out;
}
.race-container .space.animation-up {
	position: relative;
	top: -7.5vh;
	transform: translateY(7.5vh);
	transition: transform 0.1s ease-out;
}
.race-container .space.animation-down {
	position: relative;
	bottom: -7.5vh;
	transform: translateY(-7.5vh);
	transition: transform 0.1s ease-out;
}
.race-container .space.facet-1 {
	background-position: 0 0;
}
.race-container .space.facet-2 {
	background-position: calc(-1 * var(--space-size)) 0;
}
.race-container .space.facet-3 {
	background-position: calc(-2 * var(--space-size)) 0;
}
.race-container .space.facet-4 {
	background-position: 0 calc(-1 * var(--space-size));
}
.race-container .space.facet-5 {
	background-position: calc(-1 * var(--space-size)) calc(-1 * var(--space-size));
}
.race-container .space.facet-6 {
	background-position: calc(-2 * var(--space-size)) calc(-1 * var(--space-size));
}
.race-container .space.facet-7 {
	background-position: 0 calc(-2 * var(--space-size));
}
.race-container .space.facet-8 {
	background-position: calc(-1 * var(--space-size)) calc(-2 * var(--space-size));
}
.race-container .space.facet-9 {
	background-position: calc(-2 * var(--space-size)) calc(-2 * var(--space-size));
}

/* Console */
.race-container .console .row .space {
	--space-size: min(8.5vh, 17vw);
	padding: 0.25em;
	font-family: var(--base-font-family);
	font-size: min(1.65vh, 3vw);
	line-height: 1.3;
	font-weight: 500;
	color: white;
	text-align: center;
	background-color: var(--secondary-color);
	border-radius: 17.5%;
	box-shadow: none;
}

/* Button selection border removal */
.race-container *:focus {
	outline: none;
}
.race-container *::-moz-focus-inner {
	border:0;
}
